*** ./config_office/configure.in.osr6	Wed Oct  5 03:19:55 2005
--- ./config_office/configure.in	Thu Oct 27 00:43:34 2005
***************
*** 620,625 ****
--- 620,632 ----
        			AC_MSG_ERROR([only sparc and i386 processors are supported])
     		fi
  		;;
+ 	sysv5* | SCO_SV)
+ 		test_x=yes
+ 		test_gtk=yes
+ 		test_kde=yes
+ 		test_cups=yes
+ 		_os=SCO_SV
+ 		;;
  	linux-gnu)
  		test_x=yes
  		test_gtk=yes
***************
*** 1364,1370 ****
  fi
  AC_SUBST(PAM_LINK)
  
! if test "$_os" = "Linux"; then
      AC_MSG_CHECKING([whether to link to libcrypt])
      if test -n "$enable_crypt_link"; then
          AC_MSG_RESULT([yes])
--- 1371,1377 ----
  fi
  AC_SUBST(PAM_LINK)
  
! if test "$_os" = "Linux" -o "$_os" = "SCO_SV"; then
      AC_MSG_CHECKING([whether to link to libcrypt])
      if test -n "$enable_crypt_link"; then
          AC_MSG_RESULT([yes])
***************
*** 1661,1667 ****
  dnl Checks for SGI STL
  dnl ===================================================================
  if test -n "$enable_sgistl" && "$enable_sgistl" != "no"; then
! 	if test "$_os" = "IRIX" -o "$_os" = "IRIX64"; then
  		AC_MSG_CHECKING([for SGI STL])
  		if test -d /usr/include/CC ; then
  			AC_MSG_RESULT([yes.])
--- 1668,1674 ----
  dnl Checks for SGI STL
  dnl ===================================================================
  if test -n "$enable_sgistl" && "$enable_sgistl" != "no"; then
! 	if test "$_os" = "IRIX" -o "$_os"="UnixWare" -o "$_os"="SCO_SV" -o "$_os" = "IRIX64"; then
  		AC_MSG_CHECKING([for SGI STL])
  		if test -d /usr/include/CC ; then
  			AC_MSG_RESULT([yes.])
***************
*** 1711,1728 ****
  		      else
  			      AC_MSG_ERROR([STLport4 libraries not found])
  		      fi
! 	      elif test "$_os" = "IRIX" -o "$_os" = "IRIX64"; then
  		      if test -f "$STLPORT4/lib/libstlport_mipspro_41.so"; then
  			      AC_MSG_RESULT([checked])
  			   else
! 				   if test -f "$STLPORT4/lib/libstlport_gcc.so"; then
  					   AC_MSG_RESULT([checked])
  				   else
  					   AC_MSG_ERROR([STLport4 libraries not found])
  				   fi
  			   fi
  		   else
! 			   if test -f "$STLPORT4/lib/libstlport_gcc.so"; then
  				   AC_MSG_RESULT([checked])
  			   else
  				   AC_MSG_ERROR([STLport4 libraries not found])
--- 1718,1735 ----
  		      else
  			      AC_MSG_ERROR([STLport4 libraries not found])
  		      fi
! 	      elif test "$_os" = "IRIX" -o "$_os"="UnixWare" -o "$_os"="SCO_SV" -o "$_os" = "IRIX64"; then
  		      if test -f "$STLPORT4/lib/libstlport_mipspro_41.so"; then
  			      AC_MSG_RESULT([checked])
  			   else
! 				   if test -f "$STLPORT4/lib/libstlport_sysv5.so"; then
  					   AC_MSG_RESULT([checked])
  				   else
  					   AC_MSG_ERROR([STLport4 libraries not found])
  				   fi
  			   fi
  		   else
! 			   if test -f "$STLPORT4/lib/libstlport_sysv5.so"; then
  				   AC_MSG_RESULT([checked])
  			   else
  				   AC_MSG_ERROR([STLport4 libraries not found])
***************
*** 2066,2076 ****
  dnl Checks for programs.
  dnl ===================================================================
  dnl Check whether there's a C pre-processor.
! if test "$_os" = "Linux" -o "$_os" = "FreeBSD" -o "$_os" = "NetBSD" ; then
     AC_PROG_CPP
  fi
  dnl Check whether there's a C++ pre-processor.
! if test "$_os" = "Linux" -o "$_os" = "FreeBSD" -o "$_os" = "NetBSD" ; then
     AC_PROG_CXXCPP
  fi
  
--- 2073,2083 ----
  dnl Checks for programs.
  dnl ===================================================================
  dnl Check whether there's a C pre-processor.
! if test "$_os" = "Linux" -o "$_os" = "SCO_SV" -o "$_os" = "FreeBSD" -o "$_os" = "NetBSD" ; then
     AC_PROG_CPP
  fi
  dnl Check whether there's a C++ pre-processor.
! if test "$_os" = "Linux" -o "$_os" = "SCO_SV" -o "$_os" = "FreeBSD" -o "$_os" = "NetBSD" ; then
     AC_PROG_CXXCPP
  fi
  
***************
*** 2227,2232 ****
--- 2234,2242 ----
  	Darwin)
  		PKGFORMAT=portable
  		;;
+ 	SCO_SV)
+ 		PKGFORMAT=native
+ 		;;
  	SunOS)
  		PKGFORMAT=pkg
  		;;
***************
*** 3090,3096 ****
          ], []
      )
      AC_CHECK_LIB(audio, AuOpenServer, [],
!         [AC_MSG_ERROR(nas not found or functional)], [-L$XLIB -lXt])
      ENABLE_NAS=YES
  else
      AC_MSG_RESULT([internal])
--- 3100,3106 ----
          ], []
      )
      AC_CHECK_LIB(audio, AuOpenServer, [],
!         [AC_MSG_ERROR(nas not found or functional)], [-L$XLIB -lXt -lm])
      ENABLE_NAS=YES
  else
      AC_MSG_RESULT([internal])
***************
*** 3441,3447 ****
  fi
  
  dnl On Solaris, FreeBSD or MacOS X, check if --with-gnu-patch was used
! if test "$_os" = "SunOS" -o "$_os" = "FreeBSD" -o "$_os" = "Darwin"; then
     if test -z "$with_gnu_patch"; then
        GNUPATCH=$PATCH
     else
--- 3451,3457 ----
  fi
  
  dnl On Solaris, FreeBSD or MacOS X, check if --with-gnu-patch was used
! if test "$_os" = "SunOS" -o "$_os" = "FreeBSD" -o "$_os" = "UnixWare" -o "$_os" = "SCO_SV" -o "$_os" = "Darwin"; then
     if test -z "$with_gnu_patch"; then
        GNUPATCH=$PATCH
     else
***************
*** 3987,3993 ****
     USE_XINERAMA=YES
     XINERAMA_LINK=dynamic
     AC_MSG_RESULT([yes])
! elif test "$_os" = "Linux" -o "$_os" = "FreeBSD"; then
     if test -e "$XLIB/libXinerama.so" -a -e "$XLIB/libXinerama.a"; then
        # we have both versions, let the user decide but use the static one
        # per default
--- 3997,4003 ----
     USE_XINERAMA=YES
     XINERAMA_LINK=dynamic
     AC_MSG_RESULT([yes])
! elif test "$_os" = "Linux" -o "$_os" = "SCO_SV" -o "$_os" = "FreeBSD"; then
     if test -e "$XLIB/libXinerama.so" -a -e "$XLIB/libXinerama.a"; then
        # we have both versions, let the user decide but use the static one
        # per default
***************
*** 4020,4027 ****
        AC_CHECK_HEADER(X11/extensions/Xinerama.h, [],
            [AC_MSG_ERROR(Xinerama header not found.)], [])
        XINERAMA_EXTRA_LIBS="-L$XLIB -lXext"
!       if test "$_os" = "FreeBSD"; then
!   	XINERAMA_EXTRA_LIBS="$XINERAMA_EXTRA_LIBS -lXt"
        fi
        AC_CHECK_LIB(Xinerama, XineramaIsActive, [],
            [AC_MSG_ERROR(Xinerama not functional?)], [$XINERAMA_EXTRA_LIBS])
--- 4030,4037 ----
        AC_CHECK_HEADER(X11/extensions/Xinerama.h, [],
            [AC_MSG_ERROR(Xinerama header not found.)], [])
        XINERAMA_EXTRA_LIBS="-L$XLIB -lXext"
!       if test "$_os" = "FreeBSD" -o "$_os" = "SCO_SV"; then
!   	XINERAMA_EXTRA_LIBS="$XINERAMA_EXTRA_LIBS -lXt -lm"
        fi
        AC_CHECK_LIB(Xinerama, XineramaIsActive, [],
            [AC_MSG_ERROR(Xinerama not functional?)], [$XINERAMA_EXTRA_LIBS])
*** ./config_office/set_soenv.in.osr6	Thu Sep 22 07:30:56 2005
--- ./config_office/set_soenv.in	Wed Oct 26 20:22:51 2005
***************
*** 38,47 ****
  # IIa. Declaring variables for the system commands, etc.
  #--------------------------------------------------------
  #
! my ( $outfile, $outfile_sh, $outfile_bat, $bootfile, $newline, $comment, $comment4nt, $compiler, $unsetenv, $setenv, $unset, $set, $ds, $ps, $cur_dir, 
!      $par_dir, $I, $L, $D, $buildenv, $answer, $tmp, $MINGW, $platform,
!      $cygwinver, $empty, $no_ant, $no_stl, $no_gcc_include, 
!      $no_gxx_include, $warnfile, $Warning, $result, $unsetvars, $unsetvarssh, $unsetvarsbat, $exportvars, $win_format_var, $perl_os);
  #
  #-------------------------------------------------
  # IIb. Declaring environment values (constants).
--- 38,49 ----
  # IIa. Declaring variables for the system commands, etc.
  #--------------------------------------------------------
  #
! my ( $outfile, $outfile_sh, $outfile_bat, $bootfile, $newline, $comment, 
!      $comment4nt, $compiler, $unsetenv, $setenv, $unset, $set, $ds, $ps,
!      $cur_dir, $par_dir, $I, $L, $D, $buildenv, $answer, $tmp, $MINGW,
!      $platform, $cygwinver, $empty, $no_ant, $no_stl, $no_gcc_include, 
!      $no_gxx_include, $warnfile, $Warning, $result, $unsetvars, 
!      $unsetvarssh, $unsetvarsbat, $exportvars, $win_format_var, $perl_os);
  #
  #-------------------------------------------------
  # IIb. Declaring environment values (constants).
***************
*** 266,271 ****
--- 268,299 ----
     $OS             = "SOLARIS";
     $PATH_SEPERATOR = $ps;
  }
+ elsif ( $platform =~ m/sysv5*/ ) 
+ {     print "Setting OpenServer 6 specific values... ";
+    if ($platform =~ m/^i[3456]86/)
+    {  $outfile        = "UnixIntelEnv.Set";
+       $CPU            = "I";
+       $CPUNAME        = "INTEL";
+       $DLLSUFFIX      = "ci";
+       $OUTPATH        = "unxscoudk";
+       $COMEX          = 4;
+       $JRELIBDIR      = '$JAVA_HOME'.$ds."jre".$ds."lib".$ds."i386";
+       $JRETOOLKITDIR  = '$JAVA_HOME'.$ds."jre".$ds."lib".$ds."i386".$ds."motif12".$ps.'$JAVA_HOME'.$ds."jre".$ds."lib".$ds."i386".$ds."server";
+       $JRETHREADDIR   = '$JAVA_HOME'.$ds."jre".$ds."lib".$ds."i386".$ds."native_threads";
+    }
+    $BIG_SVX        = "TRUE";
+    $COM            = "UDK";
+    $COMPATH        = '@COMPATH@';
+    $CVER           = "U420";
+    $GUI            = "UNX";
+    $GUIBASE        = "unx";
+    $GUIENV         = "sal";
+    $GVER           = "VCL";
+    $INPATH         = $OUTPATH.$PROEXT;
+    $GVERDIR        = $INPATH;
+    $OS             = "SCO";
+    $PATH_SEPERATOR = $ps;
+ }
  elsif ( $platform =~ m/netbsd/ ) 
  {
  #Set platform specific values: 
***************
*** 910,915 ****
--- 938,952 ----
                          $ps.$JRETHREADDIR.
                          $ps.'$SOLARVER'.$ds.'$UPD'.$ds.'$INPATH'.$LIB;
  }
+ elsif ($platform =~ m/sysv5*/)
+ {  $LD_LIBRARY_PATH   = $cur_dir.
+                         $ps.$par_dir.$LIB.
+                         $ps_STLPORT_LIB.
+                         $ps.$JRELIBDIR.
+                         $ps.$JRETOOLKITDIR.
+                         $ps.$JRETHREADDIR.
+                         $ps.'$SOLARVER'.$ds.'$UPD'.$ds.'$INPATH'.$LIB;
+ }
  elsif ($platform =~ m/linux-gnu|netbsd|osf1|freebsd|aix/)
  {  $LD_LIBRARY_PATH   = $cur_dir.
                          $ps.'$SOLARENV'.$ds.'$INPATH'.$LIB.
***************
*** 957,962 ****
--- 994,1016 ----
                          $D."SUPD=$UPD".
                          $D."UPDVER=".'""'."'".'"'."'".'"'."SV$UPD".'"'."'".'"'."'".'"'.'"';
  }
+ elsif ($platform =~ m/sysv5*/)
+ {  $SOLARDEF          = $D."UNX".
+                         $D.$COM.
+                         $D.$GVER.
+                         $D."_PTHREADS".
+                         $D."NO_AUDIO".
+                         $D."SYSV".
+                         $D.$OS.
+                         $D.$CPUNAME.
+                         $D."SUN".
+                         $D."SUN4".
+                         $D."_REENTRANT".
+                         $D."_POSIX_PTHREAD_SEMANTICS".
+                         $D."SUPD=$UPD".
+                         $D."PRODUCT".
+                         $D."UPDVER=".'""'."'".'"'."'".'"'."SV$UPD".'"'."'".'"'."'".'"'.'"';
+ }
  elsif ($platform =~ m/linux-gnu|netbsd|freebsd|osf1|irix|aix/)
  {  $SOLARDEF          = $D."UNX".
                          $D.$COM.
***************
*** 994,999 ****
--- 1048,1062 ----
                          $L.$USR_DT.$LIB.
                          $L.$USR_OPENWIN.$LIB;
  }
+ elsif ($platform =~ m/sysv5*/)
+ {  $SOLAREXTRALIB     = $L.$par_dir.$LIB.
+                         $L.$LIB.
+                         $L.$USR.'/gnu/lib'.
+                         $L.$USR.'/X11R6/lib'.
+                         $L.$USR.$LIB.
+                         $L.$USR.$LOCAL.$LIB.
+                         $L.$par_dir.$LIB;
+ }
  elsif ($platform =~ m/linux-gnu|netbsd|osf1|irix|freebsd|aix/)
  {
     $SOLAREXTRALIB     = $L.$par_dir.$LIB64;
***************
*** 1035,1041 ****
  }
       
  # The general environment path.
! if ($platform =~ m/linux-gnu|netbsd|odf1|irix|freebsd|aix|solaris/)
  {  $PATH              = $cur_dir.
                          $ps.'$SOLARVER'.$ds.'$UPD'.$ds.'$INPATH'.$BIN.
                          $ps.'$SOLARENV'.$ds.'$OUTPATH'.$BIN.
--- 1098,1104 ----
  }
       
  # The general environment path.
! if ($platform =~ m/linux-gnu|netbsd|odf1|irix|freebsd|aix|sysv5*|solaris/)
  {  $PATH              = $cur_dir.
                          $ps.'$SOLARVER'.$ds.'$UPD'.$ds.'$INPATH'.$BIN.
                          $ps.'$SOLARENV'.$ds.'$OUTPATH'.$BIN.
***************
*** 1201,1209 ****
                          $L.$LIB.
                          $L.$USR_LIB;
     if ( $CC =~ "gcc" ) {
!       my $temp = $COMPATH;
!       $temp =~ s:/bin$::;
!       $SOLARLIB      .= $L.$temp.$LIB;
     }
     $SOLARLIB         .= $L.$USR_LOCAL.$LIB.
                          $L.$USR_DT.$LIB.
--- 1264,1272 ----
                          $L.$LIB.
                          $L.$USR_LIB;
     if ( $CC =~ "gcc" ) {
!       my $ctemp = $COMPATH;
!       $ctemp =~ s:/bin$::;
!       $SOLARLIB      .= $L.$ctemp.$LIB;
     }
     $SOLARLIB         .= $L.$USR_LOCAL.$LIB.
                          $L.$USR_DT.$LIB.
***************
*** 1215,1220 ****
--- 1278,1298 ----
                          $L_STLPORT_LIB.
                          $L.$XLIB;
  }
+ elsif ($platform =~ m/sysv5*/)
+ {  $SOLARLIB          = $L.$par_dir.$LIB.
+                         $L.'$SOLARENV'.$ds.'$OUTPATH'.$LIB.
+                         $L.'$SOLARVER'.$ds.'$UPD'.$ds.'$INPATH'.$LIB.
+                         $L.'$SOLARENV'.$ds.'$OUTPATH'.$LIB.
+                         $L.$LIB.
+                         $L.$USR_LIB.
+                         $L.$USR_LOCAL.$LIB.
+                         $L.'$JAVA_HOME'.$LIB.
+                         $L.$JRELIBDIR.
+                         $L.$JRETOOLKITDIR.
+                         $L.$JRETHREADDIR.
+                         $L_STLPORT_LIB.
+                         $L.$XLIB;
+ }
  elsif ($platform =~ m/linux-gnu|netbasd|osf1|irix|aix|freebsd/)
  {  $SOLARLIB          = $L.$par_dir.$LIB.
                          $L.'$SOLARENV'.$ds.'$OUTPATH'.$LIB.
***************
*** 1258,1264 ****
                          $I.'$SOLARENV'.$INC.
                          $I.'$SRC_ROOT'.$ds."res";
  
! if ($platform =~ m/solaris|linux-gnu|osf1|freebsd|netbsd|irix/)
  {
  $SOLARINC	     .= $STLPORT_stlport;
  if ($platform =~ m/linux|freebsd|netbsd/)
--- 1336,1342 ----
                          $I.'$SOLARENV'.$INC.
                          $I.'$SRC_ROOT'.$ds."res";
  
! if ($platform =~ m/solaris|sysv5*|linux-gnu|osf1|freebsd|netbsd|irix/)
  {
  $SOLARINC	     .= $STLPORT_stlport;
  if ($platform =~ m/linux|freebsd|netbsd/)
***************
*** 1270,1275 ****
--- 1348,1357 ----
  {
  $SOLARINC            .= '/SC5 ';
  }
+ if ($platform =~ m/sysv5*/)
+ {
+ $SOLARINC            .= $I.$SRC_ROOT.$ds.'stl'.$I.$USR.$LIB.'/apache/include/xml'.$I.$USR.$LIB.'/apache/include';
+ }
  # Platform dependent include path at the top of this list of include paths
  if ($platform =~ m/solaris/)
  {   my $temp;
***************
*** 1292,1297 ****
--- 1374,1382 ----
     		if ($platform =~ m/solaris/)
     		{  $SOLARINC   .=$I.'$JAVA_HOME'.$INCLUDE.$ds."solaris";
     		}
+    		elsif  ($platform =~ m/sysv5*/)
+ 		{  $SOLARINC .=$I.'$JAVA_HOME'.$INCLUDE.$ds."unixware".$I.$USR.$INCLUDE.'/openssl';
+ 		}
     		elsif  ($platform =~ m/linux-gnu|osf1/)
     		{  $SOLARINC   .=$I.'$JAVA_HOME'.$INCLUDE.$ds."linux";
     		}
***************
*** 1439,1446 ****
  {	
     foreach $dict (@DICTIONARIES)
     {   if ('@WITH_DICT@' =~ m/$dict,/s)
!        {   my $val="TRUE";
!            ToFile( "DIC_$dict",     $val,          "e" );
         }
         else
         {   my $val;
--- 1524,1531 ----
  {	
     foreach $dict (@DICTIONARIES)
     {   if ('@WITH_DICT@' =~ m/$dict,/s)
!        {   my $val1="TRUE";
!            ToFile( "DIC_$dict",     $val1,          "e" );
         }
         else
         {   my $val;
***************
*** 1849,1855 ****
    ToFile( "  ", $empty, "x");
  }
  # on Solaris, MacOSX and FreeBSD, set GNUCOPY and GNUPATCH
! if ($platform =~ m/solaris|darwin|freebsd/)
  {
    ToFile( "GNUPATCH",   "@GNUPATCH@",	"e");
    ToFile( "GNUCOPY",	"@GNUCP@",	"e");
--- 1934,1940 ----
    ToFile( "  ", $empty, "x");
  }
  # on Solaris, MacOSX and FreeBSD, set GNUCOPY and GNUPATCH
! if ($platform =~ m/solaris|sysv5*|darwin|freebsd/)
  {
    ToFile( "GNUPATCH",   "@GNUPATCH@",	"e");
    ToFile( "GNUCOPY",	"@GNUCP@",	"e");
*** ./cosv/prj/build.lst.osr6	Mon Jun 10 04:46:25 2002
--- ./cosv/prj/build.lst	Thu Oct 27 00:48:49 2005
***************
*** 1,5 ****
  #====================================================================================
! cs	cosv	:  soltools stlport NULL
  cs	cosv								usr1	-	all	cs_mkout NULL
  cs	cosv\prj							get		-	all	cs_prj NULL
  cs	cosv\inc							get		-	all	cs_inc NULL
--- 1,5 ----
  #====================================================================================
! cs	cosv	:  soltools NULL
  cs	cosv								usr1	-	all	cs_mkout NULL
  cs	cosv\prj							get		-	all	cs_prj NULL
  cs	cosv\inc							get		-	all	cs_inc NULL
*** ./dmake/configure.in.osr6	Fri Oct 22 01:04:28 2004
--- ./dmake/configure.in	Wed Oct 26 20:22:51 2005
***************
*** 84,89 ****
--- 84,92 ----
  	"SunOS")
  	  OS_VERSION=solaris  
  	  ;;
+ 	"SCO_SV" | "UnixWare")
+ 	  OS_VERSION=linux
+ 	  ;;
  	"Linux")
  	  OS_VERSION=linux
  	  ;;
*** ./extensions/prj/build.lst.osr6	Mon Jun 20 08:02:49 2005
--- ./extensions/prj/build.lst	Wed Oct 26 20:22:51 2005
***************
*** 1,4 ****
! ex	extensions	:	rdbmaker svx SANE:sane twain offuh np_sdk stoc uui NULL
  ex	extensions					usr1	-	all	ex_mkout NULL
  ex	extensions\inc					get		-	all	ex_inc NULL
  ex	extensions\inc\ucbhelper			get		-	all	ex_incucbh NULL
--- 1,4 ----
! ex	extensions	:	rdbmaker svx SANE:sane twain offuh stoc uui NULL
  ex	extensions					usr1	-	all	ex_mkout NULL
  ex	extensions\inc					get		-	all	ex_inc NULL
  ex	extensions\inc\ucbhelper			get		-	all	ex_incucbh NULL
